How to get data for EV Truck charging locations
This tutorial provides instructions on how to use the HERE EV Charge Points API v3 with charging locations for electric trucks.
Note
EV truck-related information requires adding a separate license to your subscription. To obtain this license, contact your HERE Account Executive.
Prerequisites
Before you start, complete your HERE platform onboarding and obtain application credentials. For more information about onboarding and credentials, see Get started.
This section requires you to understand basic requests in the HERE EV Charge Points API v3 as covered in Get one or multiple charging locations.
Finding charging locations for EV trucks
To find EV charging locations, use the HERE Geocoding and Search API v7. For example, the browse endpoint supports setting a set of HERE Places categories in the request.
When doing this, set the HERE Places Category to 700-7600-0323 to receive EV truck -compatible charging locations.
For links to the documentation on the EV features in the HERE Geocoding and Search API v7, see Tutorials on Search. Further technical details are available in the HERE Geocoding and Search API v7 API reference.
HTTP call to the endpoint
To access the HERE EV Charge Points API v3 locations endpoint, send this request:
GET /v3/locations
Host: evcp.hereapi.com
User-Agent: curl/8.6.0
Accept: application/json
Authorization: Bearer ACCESS_TOKEN
The following examples all use cURL syntax.
Get data for a given location
The location id: here:evcp:charginglocation:528u15mvz7j75-aGVyZS1ldjplY29tb3ZlbWVudDo1NjIyMjY5MDM supports both car and truck charging. Send this request to get data for the location:
curl -H "Authorization: Bearer $ACCESS_TOKEN" "https://evcp.hereapi.com/v3/locations/here:evcp:charginglocation:528u15mvz7j75-aGVyZS1ldjplY29tb3ZlbWVudDo1NjIyMjY5MDM" | jq
The response is as follows:
{
"id": "here:evcp:charginglocation:528u15mvz7j75-aGVyZS1ldjplY29tb3ZlbWVudDo1NjIyMjY5MDM",
"location": {
"lat": 51.676488,
"lng": 4.827256
},
"supportedVehicles": [
"car",
"truck"
],
"name": "Fastned",
"operator": {
"name": "Fastned",
"partnerId": "1f0e72a4-cca5-11ed-b708-42010aa40002",
"website": "https://fastnedcharging.com",
"eMobilityIds": [
"BE-FAS",
"FR-FAS",
"GB-FAS",
"LU-FAS",
"NL-FAS"
],
"logo": {
"url": "https://content.presspage.com/uploads/2519/500_fastnedlogo-2.jpg"
}
}
}The supportedVehicles field lists supported vehicle types.
Get truck-related information
You can request additional information by setting the fields parameter. The supported fields parameters are defined in the API reference. To receive additional truck-related information, set fields=truckRestrictions in the request:
curl -H "Authorization: Bearer $ACCESS_TOKEN" "https://evcp.hereapi.com/v3/locations/here:evcp:charginglocation:528u15mvz7j75-aGVyZS1ldjplY29tb3ZlbWVudDo1NjIyMjY5MDM?fields=truckRestrictions" | jq
The response to the request is as follows:
{
"id": "here:evcp:charginglocation:528u15mvz7j75-aGVyZS1ldjplY29tb3ZlbWVudDo1NjIyMjY5MDM",
"location": {
"lat": 51.676488,
"lng": 4.827256
},
"supportedVehicles": [
"car",
"truck"
],
"name": "Fastned",
"operator": {
"name": "Fastned",
"partnerId": "1f0e72a4-cca5-11ed-b708-42010aa40002",
"website": "https://fastnedcharging.com",
"eMobilityIds": [
"BE-FAS",
"FR-FAS",
"GB-FAS",
"LU-FAS",
"NL-FAS"
],
"logo": {
"url": "https://content.presspage.com/uploads/2519/500_fastnedlogo-2.jpg"
}
},
"truckRestrictions": {
"truckAccess": [
"light"
]
},
"vehicleLimitations": {
"height": 275
}
}The response contains further information in the field truckRestrictions, for example, what kind of trucks can access the location in the field truckAccess. In addition, the field vehicleLimitations carries information on any dimensional or mass restrictions. In this case, the maximum height of the vehicle that can charge at the locations is 275 cm.
Truck restrictions
When searching and retrieving data for truck-supported EV charging locations, it is important to inspect the truckAccess field. This field specifies the types of trucks that you can charge at the location. The type is either light,medium, or heavy. Additionally, the connectorGroups field supports the Megawatt Charging System (MCS) charging connector. This enables faster and more efficient charging for heavy-duty trucks at compatible locations.
For exact definitions in the OpenAPI specification, see the API reference.
Updated 2 days ago